# Uses of Interface
org.apache.cxf.endpoint.ServiceContractResolver

Packages that use ServiceContractResolver
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.endpoint

- ## Uses of ServiceContractResolver in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers that return types with arguments of type ServiceContractResolver
  Modifier and Type
  Method
  Description
  `protected List<ServiceContractResolver>`
  ServiceContractResolverRegistryImpl.`getResolvers()`
  Methods in org.apache.cxf.bus.managers with parameters of type ServiceContractResolver
  Modifier and Type
  Method
  Description
  `boolean`
  ServiceContractResolverRegistryImpl.`isRegistered(ServiceContractResolver resolver)`
  Tests if a resolver is alreadey registered with this registry.
  `void`
  ServiceContractResolverRegistryImpl.`register(ServiceContractResolver resolver)`
  Registers a contract resolver with this registry.
  `void`
  ServiceContractResolverRegistryImpl.`unregister(ServiceContractResolver resolver)`
  Removes a contract resolver from this registry.

- ## Uses of ServiceContractResolver in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint with parameters of type ServiceContractResolver
  Modifier and Type
  Method
  Description
  `boolean`
  ServiceContractResolverRegistry.`isRegistered(ServiceContractResolver resolver)`
  Determines if a contract resolver is already registered with a registry.
  `void`
  ServiceContractResolverRegistry.`register(ServiceContractResolver resolver)`
  Registers a contract resolver.
  `void`
  ServiceContractResolverRegistry.`unregister(ServiceContractResolver resolver)`
  Removes a contract resolver from the registry.